CREATE TABLE "DEMO_ORDERS" ( 
  "ORDER_ID" NUMBER,
  "CUSTOMER_ID" NUMBER,
  "ORDER_TOTAL" NUMBER(8,2),
  "ORDER_TIMESTAMP" TIMESTAMP (6) WITH LOCAL TIME ZONE,
  "USER_NAME" VARCHAR2(100 BYTE),
  "TAGS" VARCHAR2(4000 BYTE)
);

/

CREATE TABLE "DEMO_CUSTOMERS" ( 
  "CUSTOMER_ID" NUMBER,
  "CUST_FIRST_NAME" VARCHAR2(20 BYTE),
  "CUST_LAST_NAME" VARCHAR2(20 BYTE),
  "CUST_STREET_ADDRESS1" VARCHAR2(60 BYTE),
  "CUST_STREET_ADDRESS2" VARCHAR2(60 BYTE),
  "CUST_CITY" VARCHAR2(30 BYTE),
  "CUST_STATE" VARCHAR2(2 BYTE),
  "CUST_POSTAL_CODE" VARCHAR2(10 BYTE),
  "CUST_EMAIL" VARCHAR2(30 BYTE),
  "PHONE_NUMBER1" VARCHAR2(25 BYTE),
  "PHONE_NUMBER2" VARCHAR2(25 BYTE),
  "URL" VARCHAR2(100 BYTE),
  "CREDIT_LIMIT" NUMBER(9,2),
  "TAGS" VARCHAR2(4000 BYTE)
);

/

CREATE TABLE "DEMO_ORDER_ITEMS" ( 
  "ORDER_ITEM_ID" NUMBER(3,0),
  "ORDER_ID" NUMBER,
  "PRODUCT_ID" NUMBER,
  "UNIT_PRICE" NUMBER(8,2),
  "QUANTITY" NUMBER(8,0)
);

/

CREATE TABLE "DEMO_PRODUCT_INFO" ( 
  "PRODUCT_ID" NUMBER,
  "PRODUCT_NAME" VARCHAR2(50 BYTE),
  "PRODUCT_DESCRIPTION" VARCHAR2(2000 BYTE),
  "CATEGORY" VARCHAR2(30 BYTE),
  "PRODUCT_AVAIL" VARCHAR2(1 BYTE),
  "LIST_PRICE" NUMBER(8,2),
  "PRODUCT_IMAGE" BLOB,
  "MIMETYPE" VARCHAR2(255 BYTE),
  "FILENAME" VARCHAR2(400 BYTE),
  "IMAGE_LAST_UPDATE" TIMESTAMP (6) WITH LOCAL TIME ZONE,
  "TAGS" VARCHAR2(4000 BYTE)
);